<!-- Navigation -->
{% block nav %}
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
		<a class="navbar-brand" href="#">Easy - Learning</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03" aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarColor03">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active">
					<a class="nav-link" href="{{ path('home') }}">Home
						<span class="sr-only">(current)</span>
					</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ path('courses') }}">All Courses</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="#">About Us</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="#">Our Teachers</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ path ('contact') }}">Contact Us</a>
				</li>
			</ul>
			<div>
				{% if not app.user %}
					<a class="btn btn-primary" href="{{ path('registration') }}">S'inscrire</a>
					<a class="btn btn-success" href="{{ path('login') }}">Connexion</a>
				{% else %}
					<div class="dropdown">
						<img class="avatar-drop" src="{{ asset ('img/avatar/') ~ app.user.image }}" alt="Avatar">
						<a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{ app.user.userName }}
						</a>
						<div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
							<a class="dropdown-item" href="{{ path ('myaccount') }}">My Account</a>
							<a class="dropdown-item" href="{{ path ('updateaccount', {id:app.user.id}) }}">Update my Account</a>
							{% if is_granted('ROLE_USER') %}
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="{{ path ('reservationListUser') }}">Cours</a>
							{% endif %}
							{% if is_granted('ROLE_ADMIN') %}
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="{{ path ('admin')}}">Administration</a>
							{% endif %}
                            <div class="dropdown-divider"></div>
							<a class="dropdown-item" href="{{ path ('logout') }}">Logout</a>
						</div>
					</div>

				{% endif %}
			</div>
		</div>
	</nav>
{% endblock %}
<!-- End Navigation -->
